# Class PrivateNotificationMessage

#### Hierarchy

- unknown
  - PrivateNotificationMessage

- Defined in src/protobuf/pb_pb.d.ts:1753
- Defined in src/protobuf/pb_pb.d.ts:1775

#####
Index

### Constructors

constructor

### Methods

clearPrivateNotificationPayload
clearSenderNodeAddress
getPrivateNotificationPayload
getSenderNodeAddress
getUid
hasPrivateNotificationPayload
hasSenderNodeAddress
serializeBinary
setPrivateNotificationPayload
setSenderNodeAddress
setUid
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new PrivateNotificationMessage(): PrivateNotificationMessage

- #### Returns PrivateNotificationMessage

  Inherited from jspb.Message.constructor

## Methods

### clearPrivateNotificationPayload

- clearPrivateNotificationPayload(): PrivateNotificationMessage

- #### Returns PrivateNotificationMessage

  - Defined in src/protobuf/pb_pb.d.ts:1765

### clearSenderNodeAddress

- clearSenderNodeAddress(): PrivateNotificationMessage

- #### Returns PrivateNotificationMessage

  - Defined in src/protobuf/pb_pb.d.ts:1760

### getPrivateNotificationPayload

- getPrivateNotificationPayload(): undefined | PrivateNotificationPayload

- #### Returns undefined | PrivateNotificationPayload

  - Defined in src/protobuf/pb_pb.d.ts:1762

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:1757

### getUid

- getUid(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1754

### hasPrivateNotificationPayload

- hasPrivateNotificationPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1764

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1759

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1767

### setPrivateNotificationPayload

- setPrivateNotificationPayload(value?: PrivateNotificationPayload): PrivateNotificationMessage

- #### Parameters

  - ##### `Optional` value: PrivateNotificationPayload

  #### Returns PrivateNotificationMessage

  - Defined in src/protobuf/pb_pb.d.ts:1763

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress): PrivateNotificationMessage

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns PrivateNotificationMessage

  - Defined in src/protobuf/pb_pb.d.ts:1758

### setUid

- setUid(value: string): PrivateNotificationMessage

- #### Parameters

  - ##### value: string

  #### Returns PrivateNotificationMessage

  - Defined in src/protobuf/pb_pb.d.ts:1755

### toObject

- toObject(includeInstance?: boolean): PrivateNotificationMessage.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns PrivateNotificationMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1768

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): PrivateNotificationMessage

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PrivateNotificationMessage

  - Defined in src/protobuf/pb_pb.d.ts:1771

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PrivateNotificationMessage, reader: BinaryReader): PrivateNotificationMessage

- #### Parameters

  - ##### message: PrivateNotificationMessage

  - ##### reader: BinaryReader

  #### Returns PrivateNotificationMessage

  - Defined in src/protobuf/pb_pb.d.ts:1772

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: PrivateNotificationMessage, writer: BinaryWriter): void

- #### Parameters

  - ##### message: PrivateNotificationMessage

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:1770

### `Static` toObject

- toObject(includeInstance: boolean, msg: PrivateNotificationMessage): PrivateNotificationMessage.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PrivateNotificationMessage

  #### Returns PrivateNotificationMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1769

Generated using TypeDoc